import Game from "./game.js"
import Assets from "./assets.js"

document.addEventListener("DOMContentLoaded", async e => {
  const canvas = document.getElementById("game-canvas")
  const game = new Game(canvas)

  game.assets = new Assets(game)
  await game.assets.load()

  game.start()
})
